summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorTimo Sarawinski2018-09-01 01:23:56 +0200
committerTimo Sarawinski2018-09-01 01:23:56 +0200
commit13c5851cb87d46e7b210efc8685083c67d032da3 (patch)
tree523489ecdda82563e1a65db54075983145bd1359
parentd07073c3acbd5a2b59067901a7068242eae95f90 (diff)
downloadaur-13c5851cb87d46e7b210efc8685083c67d032da3.tar.gz
new version
-rw-r--r--.SRCINFO12
-rw-r--r--PKGBUILD12
2 files changed, 12 insertions, 12 deletions
diff --git a/.SRCINFO b/.SRCINFO
index 4b7eb20023e..5c0ab63a000 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,11 +1,11 @@
pkgbase = arm-none-eabi-linaro-binutils
pkgdesc = A set of pograms to assemble and manipulate binary and object files for the ARM EABI target with extra flags
- pkgver = 2.29.1
- pkgrel = 2
+ pkgver = 2.31.1
+ pkgrel = 1
url = http://www.gnu.org/software/binutils/
arch = x86_64
license = GPL
- depends = isl
+ depends = isl19
depends = cloog
depends = gmp
depends = mpc
@@ -13,11 +13,11 @@ pkgbase = arm-none-eabi-linaro-binutils
depends = zlib
provides = arm-none-eabi-binutils
conflicts = arm-none-eabi-binutils
- source = ftp://ftp.gnu.org/gnu/binutils/binutils-2.29.1.tar.bz2
- source = ftp://ftp.gnu.org/gnu/binutils/binutils-2.29.1.tar.bz2.sig
+ source = ftp://ftp.gnu.org/gnu/binutils/binutils-2.31.1.tar.bz2
+ source = ftp://ftp.gnu.org/gnu/binutils/binutils-2.31.1.tar.bz2.sig
validpgpkeys = EAF1C276A747E9ED86210CBAC3126D3B4AE55E93
validpgpkeys = 3A24BC1E8FB409FA9F14371813FCEF89DD9E3C4F
- sha1sums = 5156099a6c50bd330c3d4c8fc56a9bf725ccaf08
+ sha1sums = 1c5b0801b4857031d5626d917808cbd5c6401a4b
sha1sums = SKIP
pkgname = arm-none-eabi-linaro-binutils
diff --git a/PKGBUILD b/PKGBUILD
index b24c9c0e0a1..9499b56910b 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -3,18 +3,18 @@
_target=arm-none-eabi
pkgname=$_target-linaro-binutils
-pkgver=2.29.1
-pkgrel=2
+pkgver=2.31.1
+pkgrel=1
#_commit=2bd25930
pkgdesc='A set of pograms to assemble and manipulate binary and object files for the ARM EABI target with extra flags'
arch=(x86_64)
url='http://www.gnu.org/software/binutils/'
license=(GPL)
-depends=('isl' 'cloog' 'gmp' 'mpc' 'mpfr' 'zlib')
+depends=('isl19' 'cloog' 'gmp' 'mpc' 'mpfr' 'zlib')
provides=('arm-none-eabi-binutils')
conflicts=('arm-none-eabi-binutils')
source=(ftp://ftp.gnu.org/gnu/binutils/binutils-$pkgver.tar.bz2{,.sig})
-sha1sums=('5156099a6c50bd330c3d4c8fc56a9bf725ccaf08'
+sha1sums=('1c5b0801b4857031d5626d917808cbd5c6401a4b'
'SKIP')
validpgpkeys=('EAF1C276A747E9ED86210CBAC3126D3B4AE55E93' # Tristan Gingold <gingold@adacore.com>
'3A24BC1E8FB409FA9F14371813FCEF89DD9E3C4F') # Nick Clifton (Chief Binutils Maintainer) <nickc@redhat.com>
@@ -50,7 +50,7 @@ check() {
# unset LDFLAGS as testsuite makes assumptions about which ones are active
# do not abort on errors - manually check log files
- make LDFLAGS="" -k check
+ make LDFLAGS="" -k check || true
}
package() {
@@ -59,7 +59,7 @@ package() {
make DESTDIR="$pkgdir" install
# Remove file conflicting with host binutils and manpages for MS Windows tools
- rm "$pkgdir"/usr/share/man/man1/arm-none-eabi-{dlltool,nlmconv,windres,windmc}*
+ rm "$pkgdir"/usr/share/man/man1/arm-none-eabi-{dlltool,windres,windmc}*
# Remove info documents that conflict with host version
rm -r "$pkgdir"/usr/share/info